Gentoo Archives: gentoo-commits

From: "Mike Gilbert (floppym)" <floppym@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in www-client/chromium: chromium-31.0.1650.63.ebuild ChangeLog
Date: Thu, 05 Dec 2013 06:17:19
Message-Id: 20131205061710.F2DD22004B@flycatcher.gentoo.org
1 floppym 13/12/05 06:17:10
2
3 Modified: ChangeLog
4 Added: chromium-31.0.1650.63.ebuild
5 Log:
6 Stable channel bump.
7
8 (Portage version: 2.2.7/cvs/Linux x86_64, signed Manifest commit with key 0BBEEA1FEA4843A4)
9
10 Revision Changes Path
11 1.997 www-client/chromium/ChangeLog
12
13 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?rev=1.997&view=markup
14 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?rev=1.997&content-type=text/plain
15 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?r1=1.996&r2=1.997
16
17 Index: ChangeLog
18 ===================================================================
19 RCS file: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v
20 retrieving revision 1.996
21 retrieving revision 1.997
22 diff -u -r1.996 -r1.997
23 --- ChangeLog 4 Dec 2013 04:49:31 -0000 1.996
24 +++ ChangeLog 5 Dec 2013 06:17:10 -0000 1.997
25 @@ -1,6 +1,11 @@
26 # ChangeLog for www-client/chromium
27 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
28 -# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v 1.996 2013/12/04 04:49:31 floppym Exp $
29 +# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v 1.997 2013/12/05 06:17:10 floppym Exp $
30 +
31 +*chromium-31.0.1650.63 (05 Dec 2013)
32 +
33 + 05 Dec 2013; Mike Gilbert <floppym@g.o> +chromium-31.0.1650.63.ebuild:
34 + Stable channel bump.
35
36 *chromium-32.0.1700.39 (04 Dec 2013)
37
38
39
40
41 1.1 www-client/chromium/chromium-31.0.1650.63.ebuild
42
43 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/chromium-31.0.1650.63.ebuild?rev=1.1&view=markup
44 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/chromium-31.0.1650.63.ebuild?rev=1.1&content-type=text/plain
45
46 Index: chromium-31.0.1650.63.ebuild
47 ===================================================================
48 # Copyright 1999-2013 Gentoo Foundation
49 # Distributed under the terms of the GNU General Public License v2
50 # $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-31.0.1650.63.ebuild,v 1.1 2013/12/05 06:17:10 floppym Exp $
51
52 EAPI="5"
53 PYTHON_COMPAT=( python{2_6,2_7} )
54
55 CHROMIUM_LANGS="am ar bg bn ca cs da de el en_GB es es_LA et fa fi fil fr gu he
56 hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt_BR pt_PT ro ru sk sl sr
57 sv sw ta te th tr uk vi zh_CN zh_TW"
58
59 inherit chromium eutils flag-o-matic multilib multiprocessing \
60 pax-utils portability python-any-r1 toolchain-funcs versionator virtualx
61
62 DESCRIPTION="Open-source version of Google Chrome web browser"
63 HOMEPAGE="http://chromium.org/"
64 SRC_URI="https://commondatastorage.googleapis.com/chromium-browser-official/${P}.tar.xz
65 test? ( https://commondatastorage.googleapis.com/chromium-browser-official/${P}-testdata.tar.xz )"
66
67 LICENSE="BSD"
68 SLOT="0"
69 KEYWORDS="~amd64 ~arm ~x86"
70 IUSE="bindist cups gnome gnome-keyring gps kerberos neon pulseaudio selinux system-sqlite tcmalloc"
71
72 # Native Client binaries are compiled with different set of flags, bug #452066.
73 QA_FLAGS_IGNORED=".*\.nexe"
74
75 # Native Client binaries may be stripped by the build system, which uses the
76 # right tools for it, bug #469144 .
77 QA_PRESTRIPPED=".*\.nexe"
78
79 RDEPEND=">=app-accessibility/speech-dispatcher-0.8:=
80 app-arch/bzip2:=
81 app-arch/snappy:=
82 system-sqlite? ( dev-db/sqlite:3 )
83 cups? (
84 dev-libs/libgcrypt:=
85 >=net-print/cups-1.3.11:=
86 )
87 >=dev-libs/elfutils-0.149
88 dev-libs/expat:=
89 >=dev-libs/icu-49.1.1-r1:=
90 >=dev-libs/jsoncpp-0.5.0-r1:=
91 >=dev-libs/libevent-1.4.13:=
92 dev-libs/libxml2:=[icu]
93 dev-libs/libxslt:=
94 dev-libs/nspr:=
95 >=dev-libs/nss-3.14.3:=
96 dev-libs/protobuf:=
97 dev-libs/re2:=
98 gnome? ( >=gnome-base/gconf-2.24.0:= )
99 gnome-keyring? ( >=gnome-base/gnome-keyring-2.28.2:= )
100 gps? ( >=sci-geosciences/gpsd-3.7:=[shm] )
101 >=media-libs/alsa-lib-1.0.19:=
102 media-libs/flac:=
103 media-libs/harfbuzz:=[icu(+)]
104 >=media-libs/libjpeg-turbo-1.2.0-r1:=
105 media-libs/libpng:0=
106 media-libs/opus:=
107 media-libs/speex:=
108 pulseaudio? ( media-sound/pulseaudio:= )
109 sys-apps/dbus:=
110 sys-apps/pciutils:=
111 sys-libs/zlib:=[minizip]
112 virtual/udev
113 x11-libs/gtk+:2=
114 >=x11-libs/libXi-1.6.0:=
115 x11-libs/libXinerama:=
116 x11-libs/libXScrnSaver:=
117 x11-libs/libXtst:=
118 kerberos? ( virtual/krb5 )
119 selinux? ( sec-policy/selinux-chromium )"
120 DEPEND="${RDEPEND}
121 ${PYTHON_DEPS}
122 !arm? (
123 dev-lang/yasm
124 )
125 dev-lang/perl
126 dev-perl/JSON
127 >=dev-python/jinja-2.7
128 dev-python/ply
129 dev-python/simplejson
130 >=dev-util/gperf-3.0.3
131 dev-util/ninja
132 sys-apps/hwids
133 >=sys-devel/bison-2.4.3
134 sys-devel/flex
135 virtual/pkgconfig
136 test? (
137 dev-libs/openssl:0
138 dev-python/pyftpdlib
139 )"
140 RDEPEND+="
141 !=www-client/chromium-9999
142 x11-misc/xdg-utils
143 virtual/ttf-fonts"
144
145 if ! has chromium_pkg_die ${EBUILD_DEATH_HOOKS}; then
146 EBUILD_DEATH_HOOKS+=" chromium_pkg_die";
147 fi
148
149 pkg_setup() {
150 if [[ "${SLOT}" == "0" ]]; then
151 CHROMIUM_SUFFIX=""
152 else
153 CHROMIUM_SUFFIX="-${SLOT}"
154 fi
155 CHROMIUM_HOME="/usr/$(get_libdir)/chromium-browser${CHROMIUM_SUFFIX}"
156
157 # Make sure the build system will use the right python, bug #344367.
158 python-any-r1_pkg_setup
159
160 chromium_suid_sandbox_check_kernel_config
161
162 if use bindist; then
163 elog "bindist enabled: H.264 video support will be disabled."
164 else
165 elog "bindist disabled: Resulting binaries may not be legal to re-distribute."
166 fi
167 }
168
169 src_prepare() {
170 # if ! use arm; then
171 # mkdir -p out/Release/gen/sdk/toolchain || die
172 # # Do not preserve SELinux context, bug #460892 .
173 # cp -a --no-preserve=context /usr/$(get_libdir)/nacl-toolchain-newlib \
174 # out/Release/gen/sdk/toolchain/linux_x86_newlib || die
175 # touch out/Release/gen/sdk/toolchain/linux_x86_newlib/stamp.untar || die
176 # fi
177
178 epatch "${FILESDIR}/${PN}-chromedriver-r0.patch"
179 epatch "${FILESDIR}/${PN}-gpsd-r0.patch"
180 epatch "${FILESDIR}/${PN}-system-icu-r0.patch"
181 epatch "${FILESDIR}/${PN}-system-jinja-r0.patch"
182
183 epatch_user
184
185 # Remove most bundled libraries. Some are still needed.
186 build/linux/unbundle/remove_bundled_libraries.py \
187 'base/third_party/dmg_fp' \
188 'base/third_party/dynamic_annotations' \
189 'base/third_party/icu' \
190 'base/third_party/nspr' \
191 'base/third_party/symbolize' \
192 'base/third_party/valgrind' \
193 'base/third_party/xdg_mime' \
194 'base/third_party/xdg_user_dirs' \
195 'breakpad/src/third_party/curl' \
196 'chrome/third_party/mozilla_security_manager' \
197 'crypto/third_party/nss' \
198 'net/third_party/mozilla_security_manager' \
199 'net/third_party/nss' \
200 'third_party/WebKit' \
201 'third_party/angle_dx11' \
202 'third_party/cacheinvalidation' \
203 'third_party/cld' \
204 'third_party/cros_system_api' \
205 'third_party/ffmpeg' \
206 'third_party/flot' \
207 'third_party/hunspell' \
208 'third_party/iccjpeg' \
209 'third_party/jstemplate' \
210 'third_party/khronos' \
211 'third_party/leveldatabase' \
212 'third_party/libjingle' \
213 'third_party/libphonenumber' \
214 'third_party/libsrtp' \
215 'third_party/libusb' \
216 'third_party/libvpx' \
217 'third_party/libwebp' \
218 'third_party/libxml/chromium' \
219 'third_party/libXNVCtrl' \
220 'third_party/libyuv' \
221 'third_party/lss' \
222 'third_party/lzma_sdk' \
223 'third_party/mesa' \
224 'third_party/modp_b64' \
225 'third_party/mt19937ar' \
226 'third_party/npapi' \
227 'third_party/ots' \
228 'third_party/pywebsocket' \
229 'third_party/qcms' \
230 'third_party/sfntly' \
231 'third_party/skia' \
232 'third_party/smhasher' \
233 'third_party/sqlite' \
234 'third_party/tcmalloc' \
235 'third_party/tlslite' \
236 'third_party/trace-viewer' \
237 'third_party/undoview' \
238 'third_party/usrsctp' \
239 'third_party/webdriver' \
240 'third_party/webrtc' \
241 'third_party/widevine' \
242 'third_party/x86inc' \
243 'third_party/zlib/google' \
244 'url/third_party/mozilla' \
245 'v8/src/third_party/valgrind' \
246 --do-remove || die
247 }
248
249 src_configure() {
250 local myconf=""
251
252 # Never tell the build system to "enable" SSE2, it has a few unexpected
253 # additions, bug #336871.
254 myconf+=" -Ddisable_sse2=1"
255
256 # Optional tcmalloc. Note it causes problems with e.g. NVIDIA
257 # drivers, bug #413637.
258 myconf+=" $(gyp_use tcmalloc linux_use_tcmalloc)"
259
260 # Disable nacl, we can't build without pnacl (http://crbug.com/269560).
261 myconf+=" -Ddisable_nacl=1"
262
263 # Disable glibc Native Client toolchain, we don't need it (bug #417019).
264 # myconf+=" -Ddisable_glibc=1"
265
266 # TODO: also build with pnacl
267 # myconf+=" -Ddisable_pnacl=1"
268
269 # It would be awkward for us to tar the toolchain and get it untarred again
270 # during the build.
271 # myconf+=" -Ddisable_newlib_untar=1"
272
273 # Make it possible to remove third_party/adobe.
274 echo > "${T}/flapper_version.h" || die
275 myconf+=" -Dflapper_version_h_file=${T}/flapper_version.h"
276
277 # Use system-provided libraries.
278 # TODO: use_system_hunspell (upstream changes needed).
279 # TODO: use_system_libsrtp (bug #459932).
280 # TODO: use_system_libusb (http://crbug.com/266149).
281 # TODO: use_system_libvpx (bug #487926).
282 # TODO: use_system_ssl (http://crbug.com/58087).
283 # TODO: use_system_sqlite (http://crbug.com/22208).
284 # TODO: use_system_libwebp (http://crbug.com/288019).
285 myconf+="
286 -Duse_system_bzip2=1
287 -Duse_system_flac=1
288 -Duse_system_harfbuzz=1
289 -Duse_system_icu=1
290 -Duse_system_jsoncpp=1
291 -Duse_system_libevent=1
292 -Duse_system_libjpeg=1
293 -Duse_system_libpng=1
294 -Duse_system_libxml=1
295 -Duse_system_libxslt=1
296 -Duse_system_minizip=1
297 -Duse_system_nspr=1
298 -Duse_system_openssl=1
299 -Duse_system_opus=1
300 -Duse_system_protobuf=1
301 -Duse_system_re2=1
302 -Duse_system_snappy=1
303 -Duse_system_speex=1
304 -Duse_system_xdg_utils=1
305 -Duse_system_zlib=1"
306
307 # TODO: patch gyp so that this arm conditional is not needed.
308 if ! use arm; then
309 myconf+="
310 -Duse_system_yasm=1"
311 fi
312
313 # Optional dependencies.
314 # TODO: linux_link_kerberos, bug #381289.
315 myconf+="
316 $(gyp_use cups)
317 $(gyp_use gnome use_gconf)
318 $(gyp_use gnome-keyring use_gnome_keyring)
319 $(gyp_use gnome-keyring linux_link_gnome_keyring)
320 $(gyp_use gps linux_use_libgps)
321 $(gyp_use gps linux_link_libgps)
322 $(gyp_use kerberos)
323 $(gyp_use pulseaudio)"
324
325 if use system-sqlite; then
326 elog "Enabling system sqlite. WebSQL - http://www.w3.org/TR/webdatabase/"
327 elog "will not work. Please report sites broken by this"
328 elog "to https://bugs.gentoo.org"
329 myconf+="
330 -Duse_system_sqlite=1
331 -Denable_sql_database=0"
332 fi
333
334 # Use explicit library dependencies instead of dlopen.
335 # This makes breakages easier to detect by revdep-rebuild.
336 myconf+="
337 -Dlinux_link_gsettings=1
338 -Dlinux_link_libpci=1
339 -Dlinux_link_libspeechd=1
340 -Dlibspeechd_h_prefix=speech-dispatcher/"
341
342 # TODO: use the file at run time instead of effectively compiling it in.
343 myconf+="
344 -Dusb_ids_path=/usr/share/misc/usb.ids"
345
346 # Save space by removing DLOG and DCHECK messages (about 6% reduction).
347 myconf+="
348 -Dlogging_like_official_build=1"
349
350 # Never use bundled gold binary. Disable gold linker flags for now.
351 myconf+="
352 -Dlinux_use_gold_binary=0
353 -Dlinux_use_gold_flags=0"
354
355 # Always support proprietary codecs.
356 myconf+=" -Dproprietary_codecs=1"
357
358 # Set python version and libdir so that python_arch.sh can find libpython.
359 # Bug 492864.
360 myconf+="
361 -Dpython_ver=${EPYTHON#python}
362 -Dsystem_libdir=$(get_libdir)"
363
364 if ! use bindist; then
365 # Enable H.264 support in bundled ffmpeg.
366 myconf+=" -Dffmpeg_branding=Chrome"
367 fi
368
369 # Set up Google API keys, see http://www.chromium.org/developers/how-tos/api-keys .
370 # Note: these are for Gentoo use ONLY. For your own distribution,
371 # please get your own set of keys. Feel free to contact chromium@g.o
372 # for more info.
373 myconf+=" -Dgoogle_api_key=AIzaSyDEAOvatFo0eTgsV_ZlEzx0ObmepsMzfAc
374 -Dgoogle_default_client_id=329227923882.apps.googleusercontent.com
375 -Dgoogle_default_client_secret=vgKG0NNv7GoDpbtoFNLxCUXu"
376
377 local myarch="$(tc-arch)"
378 if [[ $myarch = amd64 ]] ; then
379 myconf+=" -Dtarget_arch=x64"
380 elif [[ $myarch = x86 ]] ; then
381 myconf+=" -Dtarget_arch=ia32"
382 elif [[ $myarch = arm ]] ; then
383 # TODO: re-enable NaCl (NativeClient).
384 local CTARGET=${CTARGET:-${CHOST}}
385 if [[ $(tc-is-softfloat) == "no" ]]; then
386
387 myconf+=" -Darm_float_abi=hard"
388 fi
389 filter-flags "-mfpu=*"
390 use neon || myconf+=" -Darm_fpu=${ARM_FPU:-vfpv3-d16}"
391
392 if [[ ${CTARGET} == armv[78]* ]]; then
393 myconf+=" -Darmv7=1"
394 else
395 myconf+=" -Darmv7=0"
396 fi
397 myconf+=" -Dtarget_arch=arm
398 -Dsysroot=
399 $(gyp_use neon arm_neon)
400 -Ddisable_nacl=1"
401 else
402 die "Failed to determine target arch, got '$myarch'."
403 fi
404
405 if host-is-pax; then
406 # Prevent the build from failing (bug #301880, bug #487144). The performance
407 # difference is very small.
408 myconf+=" -Dv8_use_snapshot=0"
409 fi
410
411 # Make sure that -Werror doesn't get added to CFLAGS by the build system.
412 # Depending on GCC version the warnings are different and we don't want
413 # the build to fail because of that.
414 myconf+=" -Dwerror="
415
416 # Avoid CFLAGS problems, bug #352457, bug #390147.
417 if ! use custom-cflags; then
418 replace-flags "-Os" "-O2"
419 strip-flags
420
421 # Prevent linker from running out of address space, bug #471810 .
422 if use x86; then
423 filter-flags "-g*"
424 fi
425 fi
426
427 # Make sure the build system will use the right tools, bug #340795.
428 tc-export AR CC CXX RANLIB
429
430 # Tools for building programs to be executed on the build system, bug #410883.
431 export AR_host=$(tc-getBUILD_AR)
432 export CC_host=$(tc-getBUILD_CC)
433 export CXX_host=$(tc-getBUILD_CXX)
434 export LD_host=${CXX_host}
435
436 build/linux/unbundle/replace_gyp_files.py ${myconf} || die
437 egyp_chromium ${myconf} || die
438 }
439
440 src_compile() {
441 # TODO: add media_unittests after fixing compile (bug #462546).
442 local test_targets=""
443 for x in base cacheinvalidation content crypto \
444 gpu net printing sql; do
445 test_targets+=" ${x}_unittests"
446 done
447
448 local ninja_targets="chrome chrome_sandbox chromedriver"
449 if use test; then
450 ninja_targets+=" $test_targets"
451 fi
452
453 # Even though ninja autodetects number of CPUs, we respect
454 # user's options, for debugging with -j 1 or any other reason.
455 ninja -C out/Release -v -j $(makeopts_jobs) ${ninja_targets} || die
456
457 pax-mark m out/Release/chrome
458 if use test; then
459 for x in $test_targets; do
460 pax-mark m out/Release/${x}
461 done
462 fi
463 }
464
465 src_test() {
466 # For more info see bug #350349.
467 local LC_ALL="en_US.utf8"
468
469 if ! locale -a | grep -q "${LC_ALL}"; then
470 eerror "${PN} requires ${LC_ALL} locale for tests"
471 eerror "Please read the following guides for more information:"
472 eerror " http://www.gentoo.org/doc/en/guide-localization.xml"
473 eerror " http://www.gentoo.org/doc/en/utf-8.xml"
474 die "locale ${LC_ALL} is not supported"
475 fi
476
477 # If we have the right locale, export it to the environment
478 export LC_ALL
479
480 # For more info see bug #370957.
481 if [[ $UID -eq 0 ]]; then
482 die "Tests must be run as non-root. Please use FEATURES=userpriv."
483 fi
484
485 # virtualmake dies on failure, so we run our tests in a function
486 VIRTUALX_COMMAND="chromium_test" virtualmake
487 }
488
489 chromium_test() {
490 # Keep track of the cumulative exit status for all tests
491 local exitstatus=0
492
493 runtest() {
494 local cmd=$1
495 shift
496 local IFS=:
497 set -- "${cmd}" "--gtest_filter=-$*"
498 einfo "$@"
499 "$@"
500 local st=$?
501 (( st )) && eerror "${cmd} failed"
502 (( exitstatus |= st ))
503 }
504
505 runtest out/Release/base_unittests
506 runtest out/Release/cacheinvalidation_unittests
507
508 local excluded_content_unittests=(
509 "RendererDateTimePickerTest.*" # bug #465452
510 )
511 runtest out/Release/content_unittests "${excluded_content_unittests[@]}"
512
513 runtest out/Release/crypto_unittests
514 runtest out/Release/gpu_unittests
515
516 # TODO: add media_unittests after fixing compile (bug #462546).
517 # runtest out/Release/media_unittests
518
519 local excluded_net_unittests=(
520 "NetUtilTest.IDNToUnicode*" # bug 361885
521 "NetUtilTest.FormatUrl*" # see above
522 "SpdyFramerTests/SpdyFramerTest.CreatePushPromiseCompressed/2" # bug #478168
523 "HostResolverImplTest.FlushCacheOnIPAddressChange" # bug #481812
524 "HostResolverImplTest.ResolveFromCache" # see above
525 "ProxyResolverV8TracingTest.*" # see above
526 "SSLClientSocketTest.ConnectMismatched" # see above
527 "UDPSocketTest.*" # see above
528 "*EndToEndTest*" # see above
529 )
530 runtest out/Release/net_unittests "${excluded_net_unittests[@]}"
531
532 runtest out/Release/printing_unittests
533 runtest out/Release/sql_unittests
534
535 return ${exitstatus}
536 }
537
538 src_install() {
539 exeinto "${CHROMIUM_HOME}"
540 doexe out/Release/chrome || die
541
542 newexe out/Release/chrome_sandbox chrome-sandbox || die
543 fperms 4755 "${CHROMIUM_HOME}/chrome-sandbox"
544
545 doexe out/Release/chromedriver || die
546
547 # if ! use arm; then
548 # doexe out/Release/nacl_helper{,_bootstrap} || die
549 # insinto "${CHROMIUM_HOME}"
550 # doins out/Release/nacl_irt_*.nexe || die
551 # doins out/Release/libppGoogleNaClPluginChrome.so || die
552 # fi
553
554 local sedargs=( -e "s:/usr/lib/:/usr/$(get_libdir)/:g" )
555 if [[ -n ${CHROMIUM_SUFFIX} ]]; then
556 sedargs+=(
557 -e "s:chromium-browser:chromium-browser${CHROMIUM_SUFFIX}:g"
558 -e "s:chromium.desktop:chromium${CHROMIUM_SUFFIX}.desktop:g"
559 -e "s:plugins:plugins --user-data-dir=\${HOME}/.config/chromium${CHROMIUM_SUFFIX}:"
560 )
561 fi
562 sed "${sedargs[@]}" "${FILESDIR}/chromium-launcher-r3.sh" > chromium-launcher.sh || die
563 doexe chromium-launcher.sh
564
565 # It is important that we name the target "chromium-browser",
566 # xdg-utils expect it; bug #355517.
567 dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium-browser${CHROMIUM_SUFFIX} || die
568 # keep the old symlink around for consistency
569 dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium${CHROMIUM_SUFFIX} || die
570
571 # Allow users to override command-line options, bug #357629.
572 dodir /etc/chromium || die
573 insinto /etc/chromium
574 newins "${FILESDIR}/chromium.default" "default" || die
575
576 pushd out/Release/locales > /dev/null || die
577 chromium_remove_language_paks
578 popd
579
580 insinto "${CHROMIUM_HOME}"
581 doins out/Release/*.pak || die
582
583 doins -r out/Release/locales || die
584 doins -r out/Release/resources || die
585
586 newman out/Release/chrome.1 chromium${CHROMIUM_SUFFIX}.1 || die
587 newman out/Release/chrome.1 chromium-browser${CHROMIUM_SUFFIX}.1 || die
588
589 doexe out/Release/libffmpegsumo.so || die
590
591 # Install icons and desktop entry.
592 local branding size
593 for size in 16 22 24 32 48 64 128 256 ; do
594 case ${size} in
595 16|32) branding="chrome/app/theme/default_100_percent/chromium" ;;
596 *) branding="chrome/app/theme/chromium" ;;
597 esac
598 newicon -s ${size} "${branding}/product_logo_${size}.png" \
599 chromium-browser${CHROMIUM_SUFFIX}.png
600 done
601
602 local mime_types="text/html;text/xml;application/xhtml+xml;"
603 mime_types+="x-scheme-handler/http;x-scheme-handler/https;" # bug #360797
604 mime_types+="x-scheme-handler/ftp;" # bug #412185
605 mime_types+="x-scheme-handler/mailto;x-scheme-handler/webcal;" # bug #416393
606 make_desktop_entry \
607 chromium-browser${CHROMIUM_SUFFIX} \
608 "Chromium${CHROMIUM_SUFFIX}" \
609 chromium-browser${CHROMIUM_SUFFIX} \
610 "Network;WebBrowser" \
611 "MimeType=${mime_types}\nStartupWMClass=chromium-browser"
612 sed -e "/^Exec/s/$/ %U/" -i "${ED}"/usr/share/applications/*.desktop || die
613
614 # Install GNOME default application entry (bug #303100).
615 if use gnome; then
616 dodir /usr/share/gnome-control-center/default-apps || die
617 insinto /usr/share/gnome-control-center/default-apps
618 newins "${FILESDIR}"/chromium-browser.xml chromium-browser${CHROMIUM_SUFFIX}.xml || die
619 if [[ "${CHROMIUM_SUFFIX}" != "" ]]; then
620 sed "s:chromium-browser:chromium-browser${CHROMIUM_SUFFIX}:g" -i \
621 "${ED}"/usr/share/gnome-control-center/default-apps/chromium-browser${CHROMIUM_SUFFIX}.xml
622 fi
623 fi
624 }